Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 602179 - Creation of new organization plus user requires password to be entered even for PAM auth, and gives odd error message if you don't enter one
Creation of new organization plus user requires password to be entered even f...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: space16
  Show dependency treegraph
 
Reported: 2010-06-09 06:15 EDT by Jessica Jones
Modified: 2012-05-10 15:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 820730 (view as bug list)
Environment:
Last Closed: 2011-12-22 11:46:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jessica Jones 2010-06-09 06:15:23 EDT
Description of problem:
When adding a user to be an admin of an organization (BTW, why is this necessary when other users exist who would be fine?) an error message is displayed if you try to use PAM auth and don't enter a password.  This error message says that the password you entered is too long, even though no password was set.


Version-Release number of selected component (if applicable):
SpaceWalk 1.0.  We recently upgraded.


How reproducible:
Very. Happens every time.


Steps to Reproduce:
1.  Log in as a SpaceWalk admin.
2.  On the overview page, click on "Manage SpaceWalk Organizations", in the 'Tasks' box.
3.  Click on "create new organization" up near the top on the right hand side.
4.  Add a desired logon that exists in LDAP so that you can use PAM for auth.  Fill in a name, etc.
5.  Don't add a password for the user at all - **leave both fields blank.**
6.  Check the box marked "Use PAM to authenticate against LDAP, Kerberos, and other network-based authentication systems."
7.  Click on the "Create Organization" button.
  
Actual results:
The page is redrawn with an error message in a red box at the top, stating that the password you picked is too long.  The organization is not created.

Expected results:
A new organization will be created with that user as its admin.

Additional info:
A lot of characters appear in both password boxes when the page is redrawn with the error message.  Even if you now delete them and then re-click on the button, you get the same result.
Comment 1 Jan Pazdziora 2010-10-27 04:31:59 EDT
Mass-aligning under space12, so that we don't lose track of this bugzilla. This however does not mean that we plan (will be able to) address this bug in Spacewalk 1.2.
Comment 2 Jan Pazdziora 2010-11-19 11:02:20 EST
Mass-moving to space13.
Comment 3 Miroslav Suchý 2011-04-11 03:30:55 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 4 Miroslav Suchý 2011-04-11 03:36:12 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 5 Jan Pazdziora 2011-07-20 07:48:19 EDT
Aligning under space16.
Comment 6 Tomas Lestach 2011-09-30 08:38:11 EDT
Valid bug.
I limited the fake generated password (for PAM enable logins) to maximal password length

spacewalk.git: 64667a91e02e48802a9b5bff64141644c5dafcf9
Comment 7 Milan Zázrivec 2011-12-22 11:46:46 EST
Spacewalk 1.6 has been released.

Note You need to log in before you can comment on or make changes to this bug.